Bug 102482 - usb-storeage hang when CONFIG_SCSI_MULTI_LUN selected
usb-storeage hang when CONFIG_SCSI_MULTI_LUN selected
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 15:35 EDT by ChenLi Tien
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 11:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ChenLi Tien 2003-08-15 15:35:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.4) Gecko/20030709

Description of problem:
This bug found on both IA64 and i386 platform.

I install the usb-storage for a 6-in-1 card reader, if CONFIG_SCSI_MULTI_LUN not
selected, then only one SCSI device can run but it work. If
CONFIG_SCSI_MULTI_LUN selected, then the system hang up after the driver loaded,
the driver initialization seems completed.

I already try the official linux kernel 2.4.21 without this problem.
Already tried RedHat kernel 2.4.21-1.1931.2.349.2.2.ent and
2.4.21-1931.2.389.ent, both failed.

Version-Release number of selected component (if applicable):
usb-storage,scsi

How reproducible:
Always

Steps to Reproduce:
1.Use 'make menuconfig' to turn on CONFIG_SCSI_MULTI_LUN
2.Select USB storage driver as module.
3.Build new driver and new kernel
4.Use new driver and kernel.
5.After loading driver, system will hang, if not, it will after mounting a file
system of the card
    

Actual Results:  System hang, need power down or reset

Expected Results:  card should be mounted as usual

Additional info:

Use PQI 7-in-1 card reader, this is a standard usb storage type device and can
work with out-of-box usb-storage driver.
Comment 1 Arjan van de Ven 2003-08-15 15:37:56 EDT
I don't understand why you recompile the kernel for something that is a module
option.....
Comment 2 Matt Wilson 2003-08-15 16:08:46 EDT
Can you reproduce the same hang by using the correct method for multi-lun setups?

   - When using RAID storage configured with Logical Unit Numbers (LUNs)
     greater than zero, it is necessary to enable LUN support by adding
     the following entry to the /etc/modules.conf file:
                                                                                
     options scsi_mod max_scsi_luns=255
 
     After modifying modules.conf, it is necessary to rebuild the initial
     ramdisk using `mkinitrd`.  Refer to The Official Red Hat Linux
     Customization Guide for more information about creating the ramdisk
     image with mkinitrd.
Comment 3 ChenLi Tien 2003-08-25 11:46:46 EDT
It disappear after I use up2date to change kernel. I think I made a mistake that
build old kernel with RAM disk as a module, as it is needed in initrd.

Note You need to log in before you can comment on or make changes to this bug.